<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ADCS-Hardware-in-the-Loop: acceleration_sensor.MEMS3AxisAccelerationSensor Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="TUDSaT_.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ADCS-Hardware-in-the-Loop<span id="projectnumber">&#160;0.0</span>
   </div>
   <div id="projectbrief">This is a hardware in the Loop</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.svg"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">acceleration_sensor.MEMS3AxisAccelerationSensor Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for acceleration_sensor.MEMS3AxisAccelerationSensor:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.png" usemap="#acceleration_5Fsensor.MEMS3AxisAccelerationSensor_map" alt=""/>
  <map id="acceleration_5Fsensor.MEMS3AxisAccelerationSensor_map" name="acceleration_5Fsensor.MEMS3AxisAccelerationSensor_map">
<area href="class_sensor_1_1_sensor.html" alt="Sensor.Sensor" shape="rect" coords="0,56,312,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ab6c6cb2182362fe231ca031573af22a4"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#ab6c6cb2182362fe231ca031573af22a4">__init__</a> (self, str <a class="el" href="class_sensor_1_1_sensor.html#a105952a867f87ce62e9527155ac5e117">name</a>, np.ndarray <a class="el" href="class_sensor_1_1_sensor.html#ab9edb79bdcd32ba3e64b4108302a8731">position</a>, np.ndarray <a class="el" href="class_sensor_1_1_sensor.html#a50d7fc1b38b659f1b9078a1b66a125e5">orientation</a>, str <a class="el" href="class_sensor_1_1_sensor.html#aacd282df196192e299b27275784c5640">database</a>, int <a class="el" href="class_sensor_1_1_sensor.html#adc1ef67bc79c2569b579eacad4222022">mode</a>, bool <a class="el" href="class_sensor_1_1_sensor.html#a9459e5f38bf10a463cdb377d31c796e0">digital</a>, list <a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#ae4ac2a048ca5e597b8eaadcac2d9874f">sensor_range</a>, float <a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#a9ec0b1a2670e2835fc723027ae679f66">sensitivity</a>, float <a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#a54c0d6b2499bf056be3e50fe2c2b8e1d">sampling_rate</a>, list <a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#aecc09c7dfa280da8dfa992e24fe1642f">scale_factor_error</a>, float <a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#a894a118da0e942084dc4393e5b03cf72">zero_offset</a>, list <a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#ae8a9d451ca80ca1d7af2db1a10d79897">random_noise</a>, <a class="el" href="class_sensor_1_1_sensor.html#a080bdfc3b220f4273e3b4a9d45c413b5">outputs</a>, list <a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#ad4d7bc080fb20c99a066990975b64d1f">cross_axis_coupling_factor</a>=[0, 0, 0], float <a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#adf6645b3ab4e67b5b299fe7181a22f09">vibro_pendulous_error</a>=0, bool <a class="el" href="class_sensor_1_1_sensor.html#ae7f85b223f3ba2d6b26024c99f749dce">active</a>=True)</td></tr>
<tr class="separator:ab6c6cb2182362fe231ca031573af22a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a715d5a464c8e3a8c2e6b293b860f25bd"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#a715d5a464c8e3a8c2e6b293b860f25bd">output</a> (self, simulated_time)</td></tr>
<tr class="separator:a715d5a464c8e3a8c2e6b293b860f25bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a638095ab6b0df530d9129b39919adf17"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#a638095ab6b0df530d9129b39919adf17">run</a> (self)</td></tr>
<tr class="separator:a638095ab6b0df530d9129b39919adf17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_sensor_1_1_sensor"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_sensor_1_1_sensor')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_sensor_1_1_sensor.html">Sensor.Sensor</a></td></tr>
<tr class="memitem:a0d0414d420e2d284be4e0b17d5aaf6a6 inherit pub_methods_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a0d0414d420e2d284be4e0b17d5aaf6a6">check_parameter_update</a> (self)</td></tr>
<tr class="separator:a0d0414d420e2d284be4e0b17d5aaf6a6 inherit pub_methods_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ae4ac2a048ca5e597b8eaadcac2d9874f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#ae4ac2a048ca5e597b8eaadcac2d9874f">sensor_range</a></td></tr>
<tr class="separator:ae4ac2a048ca5e597b8eaadcac2d9874f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ec0b1a2670e2835fc723027ae679f66"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#a9ec0b1a2670e2835fc723027ae679f66">sensitivity</a></td></tr>
<tr class="separator:a9ec0b1a2670e2835fc723027ae679f66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54c0d6b2499bf056be3e50fe2c2b8e1d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#a54c0d6b2499bf056be3e50fe2c2b8e1d">sampling_rate</a></td></tr>
<tr class="separator:a54c0d6b2499bf056be3e50fe2c2b8e1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecc09c7dfa280da8dfa992e24fe1642f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#aecc09c7dfa280da8dfa992e24fe1642f">scale_factor_error</a></td></tr>
<tr class="separator:aecc09c7dfa280da8dfa992e24fe1642f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a894a118da0e942084dc4393e5b03cf72"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#a894a118da0e942084dc4393e5b03cf72">zero_offset</a></td></tr>
<tr class="separator:a894a118da0e942084dc4393e5b03cf72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8a9d451ca80ca1d7af2db1a10d79897"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#ae8a9d451ca80ca1d7af2db1a10d79897">random_noise</a></td></tr>
<tr class="separator:ae8a9d451ca80ca1d7af2db1a10d79897"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4d7bc080fb20c99a066990975b64d1f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#ad4d7bc080fb20c99a066990975b64d1f">cross_axis_coupling_factor</a></td></tr>
<tr class="separator:ad4d7bc080fb20c99a066990975b64d1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf6645b3ab4e67b5b299fe7181a22f09"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#adf6645b3ab4e67b5b299fe7181a22f09">vibro_pendulous_error</a></td></tr>
<tr class="separator:adf6645b3ab4e67b5b299fe7181a22f09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac50043ec19df5bdf9f6f9d04f480a1c1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#ac50043ec19df5bdf9f6f9d04f480a1c1">g</a></td></tr>
<tr class="separator:ac50043ec19df5bdf9f6f9d04f480a1c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada1234e365f26120778a854a61ca0655"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#ada1234e365f26120778a854a61ca0655">column_names</a></td></tr>
<tr class="separator:ada1234e365f26120778a854a61ca0655"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_attribs_class_sensor_1_1_sensor"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_class_sensor_1_1_sensor')"><img src="closed.png" alt="-"/>&#160;Public Attributes inherited from <a class="el" href="class_sensor_1_1_sensor.html">Sensor.Sensor</a></td></tr>
<tr class="memitem:a105952a867f87ce62e9527155ac5e117 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a105952a867f87ce62e9527155ac5e117">name</a></td></tr>
<tr class="separator:a105952a867f87ce62e9527155ac5e117 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9edb79bdcd32ba3e64b4108302a8731 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#ab9edb79bdcd32ba3e64b4108302a8731">position</a></td></tr>
<tr class="separator:ab9edb79bdcd32ba3e64b4108302a8731 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50d7fc1b38b659f1b9078a1b66a125e5 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a50d7fc1b38b659f1b9078a1b66a125e5">orientation</a></td></tr>
<tr class="separator:a50d7fc1b38b659f1b9078a1b66a125e5 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aacd282df196192e299b27275784c5640 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#aacd282df196192e299b27275784c5640">database</a></td></tr>
<tr class="separator:aacd282df196192e299b27275784c5640 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7f85b223f3ba2d6b26024c99f749dce inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#ae7f85b223f3ba2d6b26024c99f749dce">active</a></td></tr>
<tr class="separator:ae7f85b223f3ba2d6b26024c99f749dce inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9459e5f38bf10a463cdb377d31c796e0 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a9459e5f38bf10a463cdb377d31c796e0">digital</a></td></tr>
<tr class="separator:a9459e5f38bf10a463cdb377d31c796e0 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc1ef67bc79c2569b579eacad4222022 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#adc1ef67bc79c2569b579eacad4222022">mode</a></td></tr>
<tr class="separator:adc1ef67bc79c2569b579eacad4222022 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7709b892a731f2d22d89c7bb8d7bcedf inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a7709b892a731f2d22d89c7bb8d7bcedf">parameter_count</a></td></tr>
<tr class="separator:a7709b892a731f2d22d89c7bb8d7bcedf inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a080bdfc3b220f4273e3b4a9d45c413b5 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a080bdfc3b220f4273e3b4a9d45c413b5">outputs</a></td></tr>
<tr class="separator:a080bdfc3b220f4273e3b4a9d45c413b5 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ab6c6cb2182362fe231ca031573af22a4" name="ab6c6cb2182362fe231ca031573af22a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6c6cb2182362fe231ca031573af22a4">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def acceleration_sensor.MEMS3AxisAccelerationSensor.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">str&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">np.ndarray&#160;</td>
          <td class="paramname"><em>position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">np.ndarray&#160;</td>
          <td class="paramname"><em>orientation</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">str&#160;</td>
          <td class="paramname"><em>database</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>mode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>digital</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">list&#160;</td>
          <td class="paramname"><em>sensor_range</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>sensitivity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>sampling_rate</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">list&#160;</td>
          <td class="paramname"><em>scale_factor_error</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>zero_offset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">list&#160;</td>
          <td class="paramname"><em>random_noise</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>outputs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">list &#160;</td>
          <td class="paramname"><em>cross_axis_coupling_factor</em> = <code>[0,&#160;0,&#160;0]</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float &#160;</td>
          <td class="paramname"><em>vibro_pendulous_error</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &#160;</td>
          <td class="paramname"><em>active</em> = <code>True</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Simulation of a MEMS-Gyroscope.

:param name: (string) name of the sensor
:param position: (numpy array, 1x3 x y z) position of the sensor in the
satellite frame in m
:param orientation: (numpy array, 1x4 qi qj qk qr) orientation of the
sensor in quaternions in the satellite frame
:param database: (string, .db) name of the database to read/write
from/in
:param digital: (bool) defines if the sensor is digital or analog
:param mode: (int) chooses between a different set of predefined
parameter for the sensor
:param active: (Boolean) activates or deactivates the sensor
:param sensor_range: (list, 1x2 +range -range) maximum measurable
angular velocity in m/s^2
:param sensitivity: (float) sensitivity of the sensor in m/s^2
:param sampling_rate: (float) sampling rate of the sensor in Hz
:param scale_factor_error: (list, 1x3 x y z) scale factor error
in %
:param zero_offset: (float) measurement bias or zero offset in g
:param random_noise: (float) random bias in g
:param cross_axis_coupling_factor: (float) cross axis coupling factor
in %
:param vibro_pendulous_error: (float) vibro-pendulous error coefficient
</pre> 
<p>Reimplemented from <a class="el" href="class_sensor_1_1_sensor.html#a49b7ea4faa0488707970f4ecc64ab10b">Sensor.Sensor</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a715d5a464c8e3a8c2e6b293b860f25bd" name="a715d5a464c8e3a8c2e6b293b860f25bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a715d5a464c8e3a8c2e6b293b860f25bd">&#9670;&nbsp;</a></span>output()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def acceleration_sensor.MEMS3AxisAccelerationSensor.output </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>simulated_time</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment"> Run Sensor one time.

Basic procedure: read in angular velocity and acceleration of satellite
-&gt; transform it into the sensor frame
-&gt; apply sensitivity -&gt; limit to range -&gt; write in database
</pre> 
</div>
</div>
<a id="a638095ab6b0df530d9129b39919adf17" name="a638095ab6b0df530d9129b39919adf17"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a638095ab6b0df530d9129b39919adf17">&#9670;&nbsp;</a></span>run()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def acceleration_sensor.MEMS3AxisAccelerationSensor.run </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment"> Starts sensor in while Loop.</pre> 
</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ada1234e365f26120778a854a61ca0655" name="ada1234e365f26120778a854a61ca0655"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ada1234e365f26120778a854a61ca0655">&#9670;&nbsp;</a></span>column_names</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">acceleration_sensor.MEMS3AxisAccelerationSensor.column_names</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad4d7bc080fb20c99a066990975b64d1f" name="ad4d7bc080fb20c99a066990975b64d1f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad4d7bc080fb20c99a066990975b64d1f">&#9670;&nbsp;</a></span>cross_axis_coupling_factor</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">acceleration_sensor.MEMS3AxisAccelerationSensor.cross_axis_coupling_factor</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac50043ec19df5bdf9f6f9d04f480a1c1" name="ac50043ec19df5bdf9f6f9d04f480a1c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac50043ec19df5bdf9f6f9d04f480a1c1">&#9670;&nbsp;</a></span>g</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">acceleration_sensor.MEMS3AxisAccelerationSensor.g</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae8a9d451ca80ca1d7af2db1a10d79897" name="ae8a9d451ca80ca1d7af2db1a10d79897"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae8a9d451ca80ca1d7af2db1a10d79897">&#9670;&nbsp;</a></span>random_noise</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">acceleration_sensor.MEMS3AxisAccelerationSensor.random_noise</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a54c0d6b2499bf056be3e50fe2c2b8e1d" name="a54c0d6b2499bf056be3e50fe2c2b8e1d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a54c0d6b2499bf056be3e50fe2c2b8e1d">&#9670;&nbsp;</a></span>sampling_rate</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">acceleration_sensor.MEMS3AxisAccelerationSensor.sampling_rate</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aecc09c7dfa280da8dfa992e24fe1642f" name="aecc09c7dfa280da8dfa992e24fe1642f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aecc09c7dfa280da8dfa992e24fe1642f">&#9670;&nbsp;</a></span>scale_factor_error</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">acceleration_sensor.MEMS3AxisAccelerationSensor.scale_factor_error</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9ec0b1a2670e2835fc723027ae679f66" name="a9ec0b1a2670e2835fc723027ae679f66"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ec0b1a2670e2835fc723027ae679f66">&#9670;&nbsp;</a></span>sensitivity</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">acceleration_sensor.MEMS3AxisAccelerationSensor.sensitivity</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae4ac2a048ca5e597b8eaadcac2d9874f" name="ae4ac2a048ca5e597b8eaadcac2d9874f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae4ac2a048ca5e597b8eaadcac2d9874f">&#9670;&nbsp;</a></span>sensor_range</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">acceleration_sensor.MEMS3AxisAccelerationSensor.sensor_range</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="adf6645b3ab4e67b5b299fe7181a22f09" name="adf6645b3ab4e67b5b299fe7181a22f09"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adf6645b3ab4e67b5b299fe7181a22f09">&#9670;&nbsp;</a></span>vibro_pendulous_error</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">acceleration_sensor.MEMS3AxisAccelerationSensor.vibro_pendulous_error</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a894a118da0e942084dc4393e5b03cf72" name="a894a118da0e942084dc4393e5b03cf72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a894a118da0e942084dc4393e5b03cf72">&#9670;&nbsp;</a></span>zero_offset</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">acceleration_sensor.MEMS3AxisAccelerationSensor.zero_offset</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="acceleration__sensor_8py.html">acceleration_sensor.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceacceleration__sensor.html">acceleration_sensor</a></li><li class="navelem"><a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html">MEMS3AxisAccelerationSensor</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
